Update a shop
const url = 'https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'PATCH', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"name":"example","customerName":"example","priceBasis":"shop","syncOrderCompletion":true,"importOrdersAutomatically":true,"catalogueImportSettings":{"importImages":true,"importDescriptions":true,"importCylinderCharges":true,"suggestGasTypes":true,"reviewGasTypes":true},"catalogueMain":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "name": "example", "customerName": "example", "priceBasis": "shop", "syncOrderCompletion": true, "importOrdersAutomatically": true, "catalogueImportSettings": { "importImages": true, "importDescriptions": true, "importCylinderCharges": true, "suggestGasTypes": true, "reviewGasTypes": true }, "catalogueMain": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”UUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”object
Shop: read the shop’s own setting (WooCommerce prices include tax, Shopify taxes included), and the business’s pricesIncludeVat when it will not say. inc: every price from this shop includes VAT. ex: none of them do.
object
Responses
Section titled “Responses”Updated
object
UUID v7
Shop: read the shop’s own setting (WooCommerce prices include tax, Shopify taxes included), and the business’s pricesIncludeVat when it will not say. inc: every price from this shop includes VAT. ex: none of them do.
object
Setup_required: order feed still needs authenticating; receiving: it has received or reconciled orders; error: the latest attempt failed; off: automatic order import is switched off.
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "source": "woocommerce", "name": "Main shop", "customerName": "Thameside Trade Gas", "url": "https://acmegas.co.uk", "priceBasis": "shop", "orderSyncStatus": "setup_required"}Not signed in
object
Example
{ "error": "not_found", "message": "Customer not found"}Not allowed to manage shops, or asking for a key to do it
object
Example
{ "error": "not_found", "message": "Customer not found"}No such shop
object
Example
{ "error": "not_found", "message": "Customer not found"}Another connected shop of this business already has that name
object
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
object
object
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}